Description: escaped closing braces in regular expression
Author: Damyan Ivanov <dmn@debian.org>
Bug-Debian: https://bugs.debian.org/865477
Last-Update: 2017-06-21

--- easygit-0.99.orig/eg
+++ easygit-0.99/eg
@@ -5721,7 +5721,7 @@ EOF
       scalar @ARGV > 0) {
     my $stash_description = "@ARGV";
     @ARGV = ();
-    if ($stash_description =~ m#^stash\@{[^{]+}$#) {
+    if ($stash_description =~ m#^stash\@\{[^\{]+\}$#) {
       push(@args, $stash_description)
     } else {
       # Will need to compare arguments to existing stash descriptions...
@@ -5791,7 +5791,7 @@ sub postprocess {
   my @lines = split('\n', $output);
   if ($self->{subcommand} eq 'list') {
     my $regex = 
-      qr#(stash\@{[^}]+}): (?:WIP )?[Oo]n [^ ]*: (?:[0-9a-f]+\.\.\. )?#;
+      qr#(stash\@\{[^\}]+\}): (?:WIP )?[Oo]n [^ ]*: (?:[0-9a-f]+\.\.\. )?#;
     foreach my $line (@lines) {
       if ($self->{show_details}) {
         print "$line\n";
